Index: src/work/edmonds_karp.hh
===================================================================
--- src/work/edmonds_karp.hh	(revision 100)
+++ src/work/edmonds_karp.hh	(revision 107)
@@ -9,5 +9,5 @@
 #include <time_measure.h>
 
-namespace marci {
+namespace hugo {
 
   template<typename Graph, typename Number, typename FlowMap, typename CapacityMap>
@@ -541,6 +541,6 @@
     void set(NodeIt nit, T a) { container[G.id(nit)]=a; }
     T get(NodeIt nit) const { return container[G.id(nit)]; }
-    //void resize() { container.resize(G.node_id); }
-    //void resize(T a) { container.resize(G.node_id, a); }
+    //void update() { container.resize(G.node_id); }
+    //void update(T a) { container.resize(G.node_id, a); }
   };
 */
@@ -647,5 +647,5 @@
 
 
-} // namespace marci
+} // namespace hugo
 
 #endif //EDMONDS_KARP_HH
Index: src/work/flow_test.cc
===================================================================
--- src/work/flow_test.cc	(revision 33)
+++ src/work/flow_test.cc	(revision 107)
@@ -11,5 +11,5 @@
 #include <dijkstra.hh>
 
-using namespace marci;
+using namespace hugo;
 
 
Index: src/work/iterator_bfs_demo.cc
===================================================================
--- src/work/iterator_bfs_demo.cc	(revision 99)
+++ src/work/iterator_bfs_demo.cc	(revision 107)
@@ -7,5 +7,5 @@
 #include <graph_wrapper.h>
 
-using namespace marci;
+using namespace hugo;
 
 int main (int, char*[])
Index: src/work/iterator_bfs_dfs_demo.cc
===================================================================
--- src/work/iterator_bfs_dfs_demo.cc	(revision 59)
+++ src/work/iterator_bfs_dfs_demo.cc	(revision 107)
@@ -6,5 +6,5 @@
 #include <bfs_iterator.hh>
 
-using namespace marci;
+using namespace hugo;
 
 int main (int, char*[])
Index: src/work/list_graph.hh
===================================================================
--- src/work/list_graph.hh	(revision 94)
+++ src/work/list_graph.hh	(revision 107)
@@ -5,5 +5,5 @@
 #include <vector>
 
-namespace marci {
+namespace hugo {
 
   template <typename It>
@@ -50,6 +50,6 @@
       T& operator[](NodeIt n) { return container[/*G.id(n)*/n.node->id]; }
       const T& operator[](NodeIt n) const { return container[/*G.id(n)*/n.node->id]; }
-      void resize() { container.resize(G.node_id); }
-      void resize(T a) { container.resize(G.node_id, a); }
+      void update() { container.resize(G.node_id); }
+      void update(T a) { container.resize(G.node_id, a); }
     };
 
@@ -68,6 +68,6 @@
       T& operator[](EdgeIt e) { return container[/*G.id(e)*/e.edge->id]; } 
       const T& operator[](EdgeIt e) const { return container[/*G.id(e)*/e.edge->id]; } 
-      void resize() { container.resize(G.edge_id); }
-      void resize(T a) { container.resize(G.edge_id, a); }
+      void update() { container.resize(G.edge_id); }
+      void update(T a) { container.resize(G.edge_id, a); }
     };
 
@@ -307,5 +307,5 @@
     
     template <typename It> It next(It it) const { 
-      It tmp(it); return goNext(it); }
+      It tmp(it); return goNext(tmp); }
     template <typename It> It& goNext(It& it) const { return ++it; }
    
@@ -509,45 +509,43 @@
   };
 
-  /*
-  template< typename T >
-  T ListGraph::first() const { 
-    std::cerr << "Invalid use of template<typemane T> T ListGraph::first<T>();" << std::endl; 
-    return T(); 
-  }
-
-  template<>
-  ListGraph::EachNodeIt ListGraph::first<ListGraph::EachNodeIt>() const { 
-    return firstNode(); 
-  }
-
-  template<>
-  ListGraph::EachEdgeIt ListGraph::first<ListGraph::EachEdgeIt>() const { 
-    return firstEdge(); 
-  }
-
-  template< typename T >
-  T ListGraph::first(ListGraph::NodeIt v) const {
-    std::cerr << "Invalid use of template<typemane T> T ListGraph::first<T>(ListGRaph::NodeIt);" << std::endl; 
-    return T(); 
-  } 
-
-  template<>
-  ListGraph::OutEdgeIt ListGraph::first<ListGraph::OutEdgeIt>(const ListGraph::NodeIt v) const { 
-    return firstOutEdge(v); 
-  }
-
-  template<>
-  ListGraph::InEdgeIt ListGraph::first<ListGraph::InEdgeIt>(const ListGraph::NodeIt v) const { 
-    return firstInEdge(v); 
-  }
-
-  template<>
-  ListGraph::SymEdgeIt ListGraph::first<ListGraph::SymEdgeIt>(const ListGraph::NodeIt v) const { 
-    return firstSymEdge(v); 
-  }
-  */
-
-
-} //namespace marci
+//   template< typename T >
+//   T ListGraph::first() const { 
+//     std::cerr << "Invalid use of template<typemane T> T ListGraph::first<T>();" << std::endl; 
+//     return T(); 
+//   }
+
+//   template<>
+//   ListGraph::EachNodeIt ListGraph::first<ListGraph::EachNodeIt>() const { 
+//     return firstNode(); 
+//   }
+
+//   template<>
+//   ListGraph::EachEdgeIt ListGraph::first<ListGraph::EachEdgeIt>() const { 
+//     return firstEdge(); 
+//   }
+
+//   template< typename T >
+//   T ListGraph::first(ListGraph::NodeIt v) const {
+//     std::cerr << "Invalid use of template<typemane T> T ListGraph::first<T>(ListGRaph::NodeIt);" << std::endl; 
+//     return T(); 
+//   } 
+
+//   template<>
+//   ListGraph::OutEdgeIt ListGraph::first<ListGraph::OutEdgeIt>(const ListGraph::NodeIt v) const { 
+//     return firstOutEdge(v); 
+//   }
+
+//   template<>
+//   ListGraph::InEdgeIt ListGraph::first<ListGraph::InEdgeIt>(const ListGraph::NodeIt v) const { 
+//     return firstInEdge(v); 
+//   }
+
+//   template<>
+//   ListGraph::SymEdgeIt ListGraph::first<ListGraph::SymEdgeIt>(const ListGraph::NodeIt v) const { 
+//     return firstSymEdge(v); 
+//   }
+
+
+} //namespace hugo
 
 #endif //LIST_GRAPH_HH
Index: src/work/marci_bfs.hh
===================================================================
--- src/work/marci_bfs.hh	(revision 19)
+++ src/work/marci_bfs.hh	(revision 107)
@@ -6,5 +6,5 @@
 #include <marci_property_vector.hh>
 
-namespace marci {
+namespace hugo {
 
   template <typename graph_type>
@@ -172,5 +172,5 @@
   };
 
-} // namespace marci
+} // namespace hugo
 
 #endif //MARCI_BFS_HH
Index: src/work/marci_graph_demo.cc
===================================================================
--- src/work/marci_graph_demo.cc	(revision 75)
+++ src/work/marci_graph_demo.cc	(revision 107)
@@ -7,5 +7,5 @@
 #include <edmonds_karp.hh>
 
-using namespace marci;
+using namespace hugo;
 
 int main (int, char*[])
Index: src/work/marci_graph_traits.hh
===================================================================
--- src/work/marci_graph_traits.hh	(revision 9)
+++ src/work/marci_graph_traits.hh	(revision 107)
@@ -2,5 +2,5 @@
 #define MARCI_GRAPH_TRAITS_HH
 
-namespace marci {
+namespace hugo {
 
   template <typename graph_type>
@@ -15,5 +15,5 @@
   };
 
-} // namespace marci
+} // namespace hugo
 
 #endif //MARCI_GRAPH_TRAITS_HH
Index: src/work/marci_list_graph.hh
===================================================================
--- src/work/marci_list_graph.hh	(revision 19)
+++ src/work/marci_list_graph.hh	(revision 107)
@@ -4,5 +4,5 @@
 #include <iostream>
 
-namespace marci {
+namespace hugo {
 
   class list_graph {
@@ -339,5 +339,5 @@
 
 
-} //namespace marci
+} //namespace hugo
 
 #endif //MARCI_LIST_GRAPH_HH
Index: src/work/marci_max_flow.hh
===================================================================
--- src/work/marci_max_flow.hh	(revision 19)
+++ src/work/marci_max_flow.hh	(revision 107)
@@ -7,5 +7,5 @@
 #include <marci_bfs.hh>
 
-namespace marci {
+namespace hugo {
 
   template<typename graph_type, typename T>
@@ -179,5 +179,5 @@
   };
 
-} // namespace marci
+} // namespace hugo
 
 #endif //MARCI_MAX_FLOW_HH
Index: src/work/marci_property_vector.hh
===================================================================
--- src/work/marci_property_vector.hh	(revision 19)
+++ src/work/marci_property_vector.hh	(revision 107)
@@ -4,5 +4,5 @@
 #include <vector>
 
-namespace marci {
+namespace hugo {
 
   template <typename iterator>
@@ -15,6 +15,6 @@
   template <typename graph_type, typename T>
   class node_property_vector {
-    typedef typename list_graph::node_iterator node_iterator;
-    typedef typename list_graph::each_node_iterator each_node_iterator;
+    typedef typename graph_type::node_iterator node_iterator;
+    typedef typename graph_type::each_node_iterator each_node_iterator;
     graph_type& G; 
     std::vector<T> container;
@@ -53,5 +53,5 @@
   };
 
-} // namespace marci
+} // namespace hugo
 
 #endif //MARCI_PROPERTY_VECTOR_HH
